#!/bin/sh

. ../_blfsset.sh
. ./_gnomeset.sh

VER=0.14.2
TARGET=tracker-$VER
TARGETBALL=$TARGET.tar.xz
TARGETDIR=$TARGET

echo Check Required...
../_checkRequired.sh \
	gtk+-3 gstreamer icu intltool libgee librest poppler \
	sqlite vala || exit 1
if test "$1" == "check"; then
  exit 0
fi

cd $SRC

echo $TARGET

echo \ \ Removing old directory...
rm -fr $TARGETDIR

. $WRK/_extract.sh $GNOMEDLD/$TARGETBALL

cd $TARGETDIR

echo \ \ Configuring...
./configure --prefix=/usr \
	    --sysconfdir=/etc \
            --libexecdir=/usr/lib/tracker-$VER \
            --disable-miner-firefox \
            --disable-miner-thunderbird \
	1> $LOG/$TARGET.1_conf.log 2>&1 || exit 1

echo \ \ Making...
make \
	1> $LOG/$TARGET.2_make.log 2>&1 || exit 1

echo \ \ Installing...
paco -p $TARGET 'make install' \
	1> $LOG/$TARGET.3_install.log 2>&1 || exit 1

echo -n \ \ Pacoing:\   && paco $TARGET || echo none

echo \ \ Removing directory...
cd .. && rm -fr $TARGETDIR

